## sdpsrc sdpsrc |

## Properties

gchar * | location | Read / Write
gchar * | sdp | Read / Write

## Types and Values

struct | GstSdpSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstSdpSrc

## Implemented Interfaces

GstSdpSrc implements GstChildProxy and GstURIHandler.

## Description

## Synopsis

### Element Information

plugin | sdpelem
author | Sebastian Dröge <sebastian@centricular.com>
class | Source/Network/RTP

### Element Pads

name | stream_%u
direction | source
presence | sometimes
details | application/x-rtp

## Functions

## Types and Values

### struct GstSdpSrc

    struct GstSdpSrc;

## Property Details

### The `“location”` property

      “location”                 gchar *

URI to SDP file (sdp:///path/to/file).

Flags: Read / Write

Default value: NULL

### The `“sdp”` property

      “sdp”                      gchar *

SDP description used instead of location.

Flags: Read / Write

Default value: NULL